List Sessions
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}};
fetch('https://api.browser-use.com/api/v3/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.browser-use.com/api/v3/sessions \
--header 'X-Browser-Use-API-Key: <api-key>'import requests
url = "https://api.browser-use.com/api/v3/sessions"
headers = {"X-Browser-Use-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"output": null,
"outputSchema": {},
"liveUrl": "<string>",
"profileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maxCostUsd": "<string>",
"totalInputTokens": 0,
"totalOutputTokens": 0,
"proxyUsedMb": "0",
"llmCostUsd": "0",
"proxyCostUsd": "0",
"totalCostUsd": "0"
}
],
"total": 123,
"page": 123,
"pageSize": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sessions
List Sessions
List sessions for the authenticated project.
GET
/
sessions
List Sessions
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}};
fetch('https://api.browser-use.com/api/v3/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.browser-use.com/api/v3/sessions \
--header 'X-Browser-Use-API-Key: <api-key>'import requests
url = "https://api.browser-use.com/api/v3/sessions"
headers = {"X-Browser-Use-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"sessions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"output": null,
"outputSchema": {},
"liveUrl": "<string>",
"profileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maxCostUsd": "<string>",
"totalInputTokens": 0,
"totalOutputTokens": 0,
"proxyUsedMb": "0",
"llmCostUsd": "0",
"proxyCostUsd": "0",
"totalCostUsd": "0"
}
],
"total": 123,
"page": 123,
"pageSize": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Was this page helpful?
⌘I